import netP5.*;
import oscP5.*;                  //required 3rd party lib from sojamo.de
NetAddress sc;
OscP5 osc;
int mx= 160, my= 120;
void setup() {
  size(320, 240);
  smooth();
  stroke(255);
  strokeWeight(10);
  osc= new OscP5(this, 12000);
  sc= new NetAddress("127.0.0.1", 57120);
}
void draw() {
  background(0);
  if(mousePressed) {
    line(mouseX, mouseY, mx, my);
    float amp= dist(mx, my, mouseX, mouseY)/200;
    osc.send("/oo", new Object[] {"fmSynth", "set", "freq", mouseX*5, "amp", amp, "amp3", mouseY}, sc);
  }
}
void mousePressed() {
  mx= mouseX;
  my= mouseY;
  osc.send("/oo", new Object[] {"fmSynth", "set", "gate", 1}, sc);
}
void mouseReleased() {
  osc.send("/oo", new Object[] {"fmSynth", "set", "gate", 0, "amp", 0}, sc);
}

