//--OpenObject for SuperCollider by Julian Rohrhuber
//--this demo was made at subnet/salzburg 2009


//running sc examples and making controllers in pd
s.boot
OpenObject.start



//example by jmc, from SC2-examples_1.scd
(
// analog bubbles
{|rate= 0.4, freq= 80|
	f = LFSaw.kr(rate, 0, 24, LFSaw.kr([8,7.23], 0, 3, freq)).midicps; // glissando function
	CombN.ar(SinOsc.ar(f, 0, 0.04), 0.2, 0.2, 4) // echoing sine wave
}.play.publish(\ttest))


//now open the file openobject_demo03_pd.pd in puredata


//--clean up
OpenObject.end
s.quit
